Bug 494838 - "[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22" seen frequently in dmesg
"[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22" seen fr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 06:04 EDT by James Ettle
Modified: 2013-04-02 00:22 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output containing the messages (60.80 KB, text/plain)
2009-04-08 06:04 EDT, James Ettle
no flags Details
An associated Xorg.0.log (33.98 KB, text/plain)
2009-04-08 06:05 EDT, James Ettle
no flags Details
strace results (79.72 KB, text/plain)
2009-09-16 18:50 EDT, Tim McConnell
no flags Details
New Compiz doesn't display window borders. (267.76 KB, image/png)
2009-11-10 09:08 EST, Walter Tuvell
no flags Details
Metacity displays window borders. (254.65 KB, image/png)
2009-11-10 09:09 EST, Walter Tuvell
no flags Details

  None (edit)
Description James Ettle 2009-04-08 06:04:49 EDT
Created attachment 338683 [details]
dmesg output containing the messages

Description of problem:
The error message

[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22

shows up frequently in dmesg when using Compiz, etc. This is on Intel X3100 graphics hardware.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-54.fc11.x86_64
xorg-x11-drv-intel-2.6.99.902-2.fc11.x86_64
mesa-dri-drivers-7.5-0.7.fc11.x86_64
libdrm-2.4.5-4.fc11.x86_64

How reproducible:
Frequently.
Comment 1 James Ettle 2009-04-08 06:05:22 EDT
Created attachment 338684 [details]
An associated Xorg.0.log
Comment 2 Thomas Cameron 2009-05-17 22:15:10 EDT
I am seeing this in F11 + rawhide repository.  Using kernel-2.6.29.3-140.fc11.x86_64

I'm on a Thinkpad T60 with Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03).

Can submit an sosreport if that is helpful.
Comment 3 Oliver Pahl 2009-05-28 13:57:18 EDT
I am seeing this in F11 + rawhide repos. Using kernel-2.6.29.4-162.fc11.x86_64

On a Sony Vaio Z11 with a hybrid graphics solution (intel X4500 + NVidia GF 9300 GS). With the Intel card on the message pollutes the syslog twice a second. 

Can also submit sosreport if helpful.

------------------------------
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
Comment 4 bepa 2009-05-29 12:48:49 EDT
I am also experiencing the same problem.

[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22

My system: F11 kernel 2.6.29.4-167.fc11.x86_64 on HP Compaq 6510b


00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
02:04.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b6)
02:04.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 02)
10:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 02)
18:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)



=======================================================
Here is the tail of my yum log:

May 29 00:33:23 Updated: 1:openoffice.org-ure-3.1.0-11.3.fc11.x86_64
May 29 00:33:25 Updated: mdadm-3.0-0.devel3.7.fc11.x86_64
May 29 00:33:25 Updated: nash-6.0.86-1.fc11.x86_64
May 29 00:33:26 Updated: grubby-6.0.86-1.fc11.x86_64
May 29 00:33:30 Updated: policycoreutils-2.0.62-12.6.fc11.x86_64
May 29 00:33:33 Updated: rhpl-0.221-1.x86_64
May 29 00:33:34 Updated: mkinitrd-6.0.86-1.fc11.x86_64
May 29 00:33:34 Updated: 1:autocorr-en-3.1.0-11.3.fc11.x86_64
May 29 00:33:37 Updated: 1:openoffice.org-opensymbol-fonts-3.1.0-11.3.fc11.x86_64
May 29 00:34:22 Updated: 1:openoffice.org-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:24 Updated: 1:openoffice.org-brand-3.1.0-11.3.fc11.x86_64
May 29 00:34:27 Updated: 1:openoffice.org-calc-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:28 Updated: 1:openoffice.org-impress-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:29 Updated: kernel-firmware-2.6.29.4-162.fc11.noarch
May 29 00:34:38 Updated: 1:openoffice.org-presenter-screen-3.1.0-11.3.fc11.x86_64
May 29 00:34:39 Updated: 1:openoffice.org-math-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:41 Updated: 1:openoffice.org-writer-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:42 Updated: 1:openoffice.org-graphicfilter-3.1.0-11.3.fc11.x86_64
May 29 00:34:43 Updated: 1:openoffice.org-draw-core-3.1.0-11.3.fc11.x86_64
May 29 00:34:48 Updated: 1:openoffice.org-pdfimport-3.1.0-11.3.fc11.x86_64
May 29 00:35:19 Updated: policycoreutils-python-2.0.62-12.6.fc11.x86_64
May 29 00:35:20 Updated: 1:openoffice.org-langpack-en-3.1.0-11.3.fc11.x86_64
May 29 00:35:27 Updated: kernel-headers-2.6.29.4-162.fc11.x86_64
May 29 00:36:04 Installed: kernel-debug-devel-2.6.29.4-162.fc11.x86_64
May 29 00:36:38 Installed: kernel-debug-2.6.29.4-162.fc11.x86_64
May 29 00:36:40 Updated: 1:openoffice.org-calc-3.1.0-11.3.fc11.x86_64
May 29 00:36:42 Updated: policycoreutils-gui-2.0.62-12.6.fc11.x86_64
May 29 00:36:42 Updated: 1:openoffice.org-writer-3.1.0-11.3.fc11.x86_64
May 29 00:37:09 Installed: kernel-2.6.29.4-162.fc11.x86_64
May 29 00:37:10 Updated: 1:openoffice.org-xsltfilter-3.1.0-11.3.fc11.x86_64
May 29 00:37:40 Installed: kernel-devel-2.6.29.4-162.fc11.x86_64
May 29 00:37:41 Updated: 1:openoffice.org-impress-3.1.0-11.3.fc11.x86_64
May 29 00:37:41 Updated: 1:openoffice.org-math-3.1.0-11.3.fc11.x86_64
May 29 00:37:42 Updated: 1:openoffice.org-draw-3.1.0-11.3.fc11.x86_64
May 29 01:55:44 Installed: qca2-2.0.2-1.fc11.x86_64
May 29 01:55:46 Installed: PyKDE4-4.2.3-2.fc11.x86_64
May 29 01:55:48 Installed: libotr-3.2.0-3.fc11.x86_64
May 29 01:55:48 Installed: 6:kdebase-libs-4.2.3-1.fc11.x86_64
May 29 01:55:49 Installed: libzip-0.9-2.fc11.x86_64
May 29 01:55:50 Installed: libtunepimp-0.5.3-15.fc11.x86_64
May 29 01:55:54 Installed: perl-DBI-1.607-2.fc11.x86_64
May 29 01:55:55 Installed: chmlib-0.39-8.fc11.x86_64
May 29 01:55:56 Installed: 7:kio_msits-4.2.3-1.fc11.x86_64
May 29 01:55:57 Installed: perl-DBD-MySQL-4.010-1.fc11.x86_64
May 29 01:55:57 Installed: ebook-tools-libs-0.1.1-4.fc11.x86_64
May 29 01:56:16 Installed: 6:kdebase-4.2.3-1.fc11.x86_64
May 29 01:56:17 Installed: 7:kdenetwork-libs-4.2.3-1.fc11.x86_64
May 29 01:56:18 Installed: qca-ossl-2.0.0-0.6.beta3.fc11.x86_64
May 29 01:56:19 Installed: 6:kdegames-libs-4.2.3-1.fc11.x86_64
May 29 01:56:19 Installed: 1:qt-mysql-4.5.0-14.fc11.x86_64
May 29 01:56:20 Installed: jasper-1.900.1-10.fc11.x86_64
May 29 01:56:21 Installed: libsidplay-1.36.57-19.x86_64
May 29 01:56:21 Installed: 6:kdemultimedia-libs-4.2.3-1.fc11.x86_64
May 29 01:56:22 Installed: libgadu-1.8.2-3.fc11.x86_64
May 29 01:56:23 Installed: poppler-qt4-0.10.5-1.fc11.x86_64
May 29 01:56:24 Installed: PackageKit-qt-0.4.6-8.fc11.x86_64
May 29 01:56:24 Installed: kdeartwork-kxs-4.2.3-1.fc11.x86_64
May 29 01:56:25 Installed: avahi-qt3-0.6.25-1.fc11.x86_64
May 29 01:56:25 Installed: kdnssd-avahi-0.1.3-0.7.20080116svn.fc11.x86_64
May 29 01:56:26 Installed: libmsn-4.0-0.11.beta4.fc11.x86_64
May 29 01:56:27 Installed: mysql-5.1.32-1.fc11.x86_64
May 29 01:56:31 Installed: mysql-server-5.1.32-1.fc11.x86_64
May 29 01:56:34 Installed: akonadi-1.1.2-1.fc11.x86_64
May 29 01:56:34 Installed: kdepimlibs-akonadi-4.2.3-1.fc11.x86_64
May 29 01:56:35 Installed: pinentry-qt-0.7.4-6.fc11.x86_64
May 29 01:56:51 Installed: 7:kdenetwork-4.2.3-1.fc11.x86_64
May 29 01:57:00 Installed: kftpgrabber-0.8.1-9.fc11.x86_64
May 29 01:57:04 Installed: kdeartwork-screensavers-4.2.3-1.fc11.x86_64
May 29 01:57:06 Installed: kpackagekit-0.4.0-7.fc11.x86_64
May 29 01:57:11 Installed: 7:kdegraphics-4.2.3-1.fc11.x86_64
May 29 01:57:14 Installed: 6:kdemultimedia-4.2.3-1.fc11.x86_64
May 29 01:57:16 Installed: gstreamer-plugins-ugly-0.10.11-1.fc11.x86_64
May 29 01:57:32 Installed: 6:kdegames-4.2.3-1.fc11.x86_64
May 29 01:57:45 Installed: konq-plugins-4.2.3-1.fc11.x86_64
May 29 01:57:45 Installed: libtunepimp-extras-freeworld-0.5.3-7.fc11.x86_64
May 29 01:57:49 Installed: 6:kdeutils-4.2.3-1.fc11.x86_64
May 29 01:57:54 Installed: ktorrent-3.2.1-1.fc11.x86_64
May 29 01:58:06 Installed: 1:kdeaccessibility-4.2.3-1.fc11.x86_64
May 29 01:58:07 Installed: 1:kdebluetooth-0.3-3.fc11.x86_64
May 29 01:58:25 Installed: kipi-plugins-0.2.0-2.fc11.x86_64
May 29 01:58:29 Installed: kdeplasma-addons-4.2.3-1.fc11.x86_64
May 29 01:58:29 Installed: ksshaskpass-0.5.1-3.fc11.x86_64
May 29 01:58:30 Installed: cups-pk-helper-0.0.4-1.fc11.x86_64
May 29 01:58:30 Installed: xsettings-kde-0.9-2.fc11.x86_64
May 29 01:58:31 Installed: k3b-extras-freeworld-1.0.5-6.fc11.x86_64
May 29 01:58:32 Installed: PolicyKit-kde-4.2.0-3.fc11.x86_64
May 29 01:58:35 Installed: konversation-1.1-6.fc11.x86_64
May 29 01:58:37 Installed: spambayes-1.0.4-7.fc11.noarch
May 29 01:58:37 Installed: 7:system-config-printer-kde-4.2.3-1.fc11.x86_64
May 29 01:58:38 Installed: 6:kdeutils-printer-applet-4.2.3-1.fc11.x86_64
May 29 01:58:38 Installed: kde-settings-pulseaudio-4.2-10.20090430svn.fc11.noarch
May 29 01:58:47 Installed: 6:kdepim-4.2.3-1.fc11.x86_64
May 29 01:58:50 Installed: 6:kdepim-libs-4.2.3-1.fc11.x86_64
May 29 13:36:51 Updated: ibus-libs-1.1.0.20090508-5.fc11.x86_64
May 29 13:36:52 Updated: 32:bind-libs-9.6.1-0.4.rc1.fc11.x86_64
May 29 13:36:53 Updated: openconnect-1.40-1.fc11.x86_64
May 29 13:36:56 Updated: kdm-4.2.3-5.fc11.x86_64
May 29 13:36:57 Updated: ksysguardd-4.2.3-5.fc11.x86_64
May 29 13:37:10 Updated: NetworkManager-openconnect-0.7.0.99-4.fc11.x86_64
May 29 13:37:11 Updated: 32:bind-utils-9.6.1-0.4.rc1.fc11.x86_64
May 29 13:37:12 Updated: fedora-setup-keyboard-0.4-2.fc11.x86_64
May 29 13:37:13 Updated: preupgrade-1.1.0-1.fc11.noarch
May 29 13:37:15 Updated: kdebase-workspace-libs-4.2.3-5.fc11.x86_64
May 29 13:37:29 Updated: kdebase-workspace-4.2.3-5.fc11.x86_64
May 29 13:37:43 Updated: ibus-1.1.0.20090508-5.fc11.x86_64
May 29 13:37:43 Updated: ibus-gtk-1.1.0.20090508-5.fc11.x86_64
May 29 23:16:14 Updated: kernel-firmware-2.6.29.4-167.fc11.noarch
May 29 23:17:14 Installed: kernel-2.6.29.4-167.fc11.x86_64
May 29 23:17:59 Installed: kernel-debug-devel-2.6.29.4-167.fc11.x86_64
May 29 23:18:37 Installed: kernel-debug-2.6.29.4-167.fc11.x86_64
May 29 23:18:42 Updated: kernel-headers-2.6.29.4-167.fc11.x86_64
May 29 23:19:14 Installed: kernel-devel-2.6.29.4-167.fc11.x86_64


===============================================
This is a snippet of my messages log before the first occurrence of the [drm:drm_wait_vblank] *ERROR* flood:

May 29 12:19:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:20:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:20:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:21:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:21:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:22:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:22:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:23:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:23:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:24:19 RESULD309873 kernel: device virbr0 left promiscuous mode
May 29 12:24:19 RESULD309873 kernel: bridge-virbr0: disabled promiscuous mode
May 29 12:24:19 RESULD309873 kernel: device virbr0 entered promiscuous mode
May 29 12:24:19 RESULD309873 kernel: bridge-virbr0: enabled promiscuous mode
May 29 12:24:43 RESULD309873 kernel: device virbr0 left promiscuous mode
May 29 12:24:43 RESULD309873 kernel: bridge-virbr0: disabled promiscuous mode
May 29 12:24:48 RESULD309873 libvirtd: 12:24:48.609: error : internal error failed to connect to xend
May 29 12:24:48 RESULD309873 libvirtd: 12:24:48.614: error : unable to connect to 'localhost:8000': Connection refused
May 29 12:24:48 RESULD309873 libvirtd: 12:24:48.648: error : internal error failed to connect to xend
May 29 12:24:48 RESULD309873 libvirtd: 12:24:48.649: error : unable to connect to 'localhost:8000': Connection refused
May 29 12:24:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:24:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:25:18 RESULD309873 libvirtd: 12:25:18.083: error : internal error failed to connect to xend
May 29 12:25:18 RESULD309873 libvirtd: 12:25:18.084: error : unable to connect to 'localhost:8000': Connection refused
May 29 12:25:18 RESULD309873 libvirtd: 12:25:18.102: error : internal error failed to connect to xend
May 29 12:25:18 RESULD309873 libvirtd: 12:25:18.103: error : unable to connect to 'localhost:8000': Connection refused
May 29 12:25:57 RESULD309873 vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
May 29 12:25:57 RESULD309873 vmnetBridge: Can't remove interface wlan0 4 (does not exist).
May 29 12:26:05 RESULD309873 kernel: compiz[3127]: segfault at 3217a6e108 ip 000000320ba3ad9c sp 00007fff3fd379c0 error 4 in libglib-2.0.so.0.2000.1[320ba00000+df000]
May 29 12:26:07 RESULD309873 kernel: [drm] TV-13: set mode NTSC 480i 0
May 29 12:26:07 RESULD309873 kernel: [drm] TV-13: set mode NTSC 480i 0
May 29 12:26:08 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
May 29 12:26:08 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
May 29 12:26:11 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
May 29 12:26:11 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
May 29 12:26:11 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
May 29 12:26:11 RESULD309873 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
..... millions of lines of kernel: [drm:drm_wait_vblank] *ERROR*


----------------------------
From the above logs, I suspect that the cause of the error is compiz or VMWare.
I have the following installed:

    VMware Workstation 6.5.2-156735  (just installed and with generic patch)    
    compiz-0.7.8-18.fc11.x86_64 (i enabled some settings via ccsm)

My system was working OK before installing VMWare and before enabling some compiz settings.
Comment 5 bepa 2009-05-29 14:27:13 EDT
Update: I think I found the cause of the error. These are what I did:

I uninstalled VMWare and the kernel oops were still present.
I reset compiz settings to default values and still the errors were logged.
Disabling "Desktop Effects" did not solve the problem.

I disabled GL Desktop and the problem was gone.

     System > Preferences > GL Desktop > Uncheck Enable GL Desktop

I also removed the startup item "/usr/bin/fusion-icon" that I had recently added to automatically start GL Desktop and put the Compiz Fusion icon in the system tray.

After completely disabling GL Desktop and disabling fusion-icon, no more kernel oops were logged.


-----------------------------
Further, via Compiz Fusion Icon I tried to change the window manager from Compiz to Metacity. No errors were logged; same with KWin.

For now, I use Metacity as my window manager and enable its compositing manager because awn requires it. I enabled Metacity compositing via  gconf-editor:   Apps > Metacity > General and check the Compositing_manager.

Compiz was OK before I experimented with its settings. What setting causes the kernel oops, I still don't know. Please help.
Comment 6 bepa 2009-05-29 15:52:44 EDT
How to Recreate Reported Compiz Issue
1. On a healthy compiz installation, execute from terminal /usr/bin/fusion-icon
    or Applications > System Tools > Compiz Fusion Icon

2. Select Window Manager = Compiz
    Window Decorator = GTK Window Generator

Console log:

$ fusion-icon
 * Detected Session: gnome
 * Searching for installed applications...
 * Intel detected, exporting: INTEL_BATCH=1
 * Using the GTK Interface
 * Starting Metacity
 * Setting window manager to Compiz
 ... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp
compiz (core) - Error: Could not acquire compositing manager selection on screen 0 display ":0.0"
compiz (core) - Fatal: No manageable screens found on display :0.0
* Setting decorator to GTK Window Decorator ("gtk-window-decorator --replace")

another possible error after selecting GTK:
compiz (cube) - Warn: Failed to load slide: /usr/share/pixmaps/fedora-logo

The following will be logged in /var/log/messages :

May 30 03:17:37 RESULD309873 kernel: compiz[18190]: segfault at 3217a6e108 ip 000000320ba3ad9c sp 00007fffbf46f0e0 error 4 in libglib-2.0.so.0.2000.1[320ba00000+df000]

3. DO BIG MISTAKE: Make /usr/bin/fusion-icon to auto-start by adding it in System > Preferences > Startup Applications

4. Log off and log back on. Kernel oops flood the messages log.



==========================
How to Restore System to a Healthy Compiz

1. In a terminal window execute /usr/bin/fusion-icon 
    or Applications > System Tools > Compiz Fusion Icon

2. Select Window Manager = Metacity
3. Window Decorator = GTK

[NOTE: You may execute "metacity --replace" instead of doing #1-3]

4. Quit/Kill fusion-icon from the system tray.
5. Important: Remove any startup items for fusion-icon in
	System > Preferences > Startup Applications
6. System > Preferences > GL Desktop > Enable GL Desktop
    You may need to do this twice, because GL Desktop may not be successfully enabled the first time.
7. System > Preferences > Desktop Effects > Enable
8. Logout and then re-login



----------------
Suspected bug in application usr/bin/fusion-icon
Comment 7 Oliver Pahl 2009-06-03 02:50:51 EDT
Am i right, that with this step:
6. System > Preferences > GL Desktop > Enable GL Desktop
    You may need to do this twice, because GL Desktop may not be successfully
enabled the first time.

you are enabling a composite enabled Metacity? I dont know for sure, but in Kde this enabled Composite for KWin. I would suspect the bug lies in compiz, because when using Kwin or Metacity with compositing enabled, i dont see this log-messages (I see them with compiz enabled and fusin-icon not installed)
Comment 8 Bug Zapper 2009-06-09 09:29:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Hedayat Vatankhah 2009-06-11 16:23:26 EDT
I've this issue too. And I'm suspected that this error appears only when I run fusion-icon too. (I use emerald when using fusion icon).
I have an intel video card on my thinkpad x61.
Comment 10 Marcel 2009-06-12 14:20:06 EDT
Same issue on F11 preupgrade from F10 with gnome and "desktop effect" activ on lenovo T500.

compiz-0.7.8-18.fc11.i586
compiz-fusion-gnome-0.7.8-8.fc11.i586
compiz-fusion-0.7.8-8.fc11.i586
compiz-gnome-0.7.8-18.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586
mesa-libGLU-7.5-0.14.fc11.i586
mesa-libGL-7.5-0.14.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-2.fc11.i586
kernel-2.6.29.4-167.fc11.i586

Thanks for your help
Comment 11 Aron Parsons 2009-06-13 15:18:47 EDT
Same issue here with a GM45 chipset on Fedora 11 x86_64.  I run compiz via compiz-manager, vsync forced on via ccsm.
Comment 12 Ethan Shalev 2009-06-16 15:21:37 EDT
Also occurring on Acer Aspire 5720z.
I have Fusion-icon, and was running compiz. I just switched the window manager to metacity, and the errors stopped getting written to /var/log/messages.
I was getting roughly 30 messages per second! (the messages file has bloated to over 400MB)
Comment 13 Andrey 2009-06-19 14:54:28 EDT
I can confirm the same message in the logs on Acer Aspire One A110 (Smolt link here: http://www.smolts.org/show?uuid=pub_d0ada581-096a-42f2-9ecd-1ef6f3b3e516) when I switch "Desktop Effects" on. Message in the logs looks like that:

Jun 19 22:33:29 aao-ak kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22

When I switch effects off, message disappears, and I have following in the logs:

Jun 19 22:33:29 aao-ak kernel: compiz[2047]: segfault at 3aa5860 ip 03aa5860 sp bf852720 error 4 in libICE.so.6.3.0[3b63000+17000]

I am using default Gnome effects, not some advanced stuff like Fusion-icon or something.
Comment 14 Richard Guest 2009-06-27 18:54:22 EDT
Also same issue with on my Dell Latitude E4300 also a GM45 chipset on Fedora 11 x86_64. Compiz started via compiz-manager.

The most annoying thing about this bug is kerneloops thrashing over /var/log/messages on every login etc.

I can provide Xorg logs, lspci outputs, intel_gpu_dumps, whatever is needed to fix this!

I'm guessing this bug should probably be assigned to xorg-x11-drv-intel...? and also probably go upstream to x.org?
Comment 15 Aidan Delaney 2009-07-15 04:43:02 EDT
If a "me too" is helpful, then me too!  Similar hardware "Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)" which generates a /var/log/messages file which is now over 120Mb.  kerneloops then hogs the processor on startup for a significant amount of time.
Comment 16 Nildo Abreu 2009-07-19 12:31:14 EDT
Solve this problem starting compiz with the following command:

compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering

After that the errors do not occur again in dmesg.
Comment 17 Ethan Shalev 2009-07-19 13:41:52 EDT
@Nildo - does that command actually solve whatever it is that's causing compiz to through so many errors, or simply prevent them from being logged?
If it's the latter, I'd still be happy to see a proper fix to this.
Comment 18 Nildo Abreu 2009-07-19 13:52:42 EDT
Starting compiz with the command that it solves the problem of creating multiple messages in / var / log / messages like:

[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22

If you have a better solution, please share with the list.
Comment 19 James Ettle 2009-07-19 14:00:04 EDT
Disabling sync-to-vblank in Compiz (gconf://apps/compiz/general/screen0/options/sync_to_vblank) will certainly abate occurrences of this message. However, I think this is a case of GL tickling a bug in the kernel-side of i915 DRM.
Comment 20 Thomas Cameron 2009-07-22 12:41:05 EDT
compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering gives me no window borders.  Based on some Google searching, I tried adding 

	Option         "AddARGBGLXVisuals" "True"
	Option         "DisableGLXRootClipping" "True" 

to the "Screen" section of xorg.conf but it didn't help.  No borders.
Comment 21 Daniel Laczi 2009-07-30 17:46:17 EDT
I also have problems, running compiz with KDE.

Packages installed:
compiz-gnome-0.7.8-19.fc11.i586
compiz-0.7.8-19.fc11.i586
compiz-kde-0.7.8-19.fc11.i586
compiz-fusion-0.7.8-8.fc11.i586
compiz-fusion-gnome-0.7.8-8.fc11.i586
compiz-manager-0.6.0-9.fc11.noarch

Graphics card: Intel Graphics Media Accelerator 950


Perhaps I can help with the following (I don't know much about Xsessions/Xorg and all this stuff, so don't complain if this is bad).

James hint, disabling sync_to_vblank in the gconf, didn't help me, because I want to use compiz only with KDE.

I tried out Nildos hint, using indirect rendering, which works for me.
(Normally compiz is running with "compiz --ignore-desktop-hints --replace cpp" (this is when messages grows). When I add the --indirect-rendering option, my messages stays small.)

In advance to only run compiz with a KDE session and in advance to have not the same problem that Thomas has, I did the following:
- I changed INDIRECT="no" in /usr/bin/compiz-manager to INDIRECT="yes", so that it always starts with indirect rendering
- I used the kde-desktop-effects.sh, to select the windowmanager, so that my KDE starts with compiz instead of kwin
Comment 22 Filippo Racca 2009-08-01 15:15:25 EDT
I get the same same error message:

[drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22

on my F11/rawhide machine.

Kernel: kernel-2.6.31-0.112.rc4.git3.fc12.i686
Xorg: xorg-x11-server-Xorg-1.6.99-22.20090724.fc12.i686
Driver: xorg-x11-drv-intel-2.8.0-2.fc12.i686
Mesa: mesa-libGL-7.6-0.7.fc12.i686

Card: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

Alsa when running glxgears I get the following message:

"do_wait: drmWaitVBlank returned -1, IRQs don't seem to be working correctly.
Try adjusting the vblank_mode configuration parameter."

Changing vblank_mode to 0 (or other values) doesn't remove the message.
Comment 23 Andrey 2009-08-03 17:30:38 EDT
I do not have this message anymore with 2.6.29.6-213.fc11.i586 on my Acer Aspire One.
Comment 24 Daniel Laczi 2009-08-04 13:50:43 EDT
Problem still exists on my Compaq nx7300 with kernel-2.6.29.6-213.fc11.i686.PAE / kernel-2.6.29.6-213.fc11.i586
Comment 25 MolbOrg 2009-08-05 07:47:43 EDT
Problem still exists - TravelMate 6292 - 2.6.29.6-213.fc11.x86_64
Comment 26 Davide Cescato 2009-08-26 04:11:14 EDT
I experience the same with kernel-2.6.29.6-217.2.3.fc11.x86_64 on Intel graphics [8086:2a42] (KMS enabled). I am using compiz without indirect rendering, if that helps.

I am not sure if the following issue is related to this bug. Several times I had the display freezing. Specifically, the image on the screen would get stuck and no longer update. Only the movement of the mouse pointer is tracked on the screen. All input from the keyboard (including ctrl+alt+del and e.g. ctrl+alt+f2) and all mouse clicks seem to be ignored. Logging in from a remote machine showed that the processes are alive and that none of them is blocking the CPU. Unfortunately, I still have not found a way to reproduce this kind of freeze reliably.
Comment 27 James Ettle 2009-08-26 05:02:20 EDT
(In reply to comment #26)
> I am not sure if the following issue is related to this bug. Several times I
> had the display freezing. Specifically, the image on the screen would get stuck
> and no longer update. Only the movement of the mouse pointer is tracked on the
> screen. All input from the keyboard (including ctrl+alt+del and e.g.
> ctrl+alt+f2) and all mouse clicks seem to be ignored. Logging in from a remote
> machine showed that the processes are alive and that none of them is blocking
> the CPU. Unfortunately, I still have not found a way to reproduce this kind of
> freeze reliably.  

This sounds more like like bug 473347 (which I also sometimes see).
Comment 28 Tristan Moody 2009-09-04 03:04:47 EDT
I had this happening on my machine while running Compiz-Fusion, and I discovered that if I went into the settings manager for Compiz-Fusion and went to General Options/Display settings and unchecked "Sync to VBlank", that eliminated the dmesg storm on my machine.  Not a true fix, but some sanity and no more 15MiB /var/log/messages files after 30 minutes of uptime.
Comment 29 Ethan Shalev 2009-09-04 06:21:24 EDT
@Tristan Moody, that tip of your seems to be working for me as well, on my Acer Aspire 5720z.
Thanks!
Comment 30 Tim McConnell 2009-09-12 14:53:22 EDT
Issue happens to me as well. 
Killing kerneloops's process allowed me to stay running and removing old messages file stops 100% CPU usage. But still receive drm error in new messages folder. 
See posting on Fedora Forums: http://forums.fedoraforum.org/showthread.php?p=1264327#post1264327 
will try the vsync to blank trick to see if the drm problem quits. current size of messages file is 347740.
Comment 31 Baris Cicek 2009-09-14 22:07:36 EDT
I have the same problem with Fedora 11. However I don't use compiz, though metacity with compositing enable. So it's not triggered only with compiz but probably related with compositing.

It seems like this issue is pointed by upstream kernel as well. Is mentioned patch in following bugzilla entry added to Fedora kernel? 

http://bugzilla.kernel.org/show_bug.cgi?id=13634
Comment 32 Tim McConnell 2009-09-16 18:50:49 EDT
Created attachment 361392 [details]
strace results 

ran strace on compiz to see if I could get any useful information for this bug.
Comment 33 Hedayat Vatankhah 2009-09-17 13:53:33 EDT
Disabling "Sync to VBlank" works for me too. :)
Comment 34 Valent Turkovic 2009-09-19 10:25:06 EDT
Going into the settings manager for Compiz-Fusion and to General Options/Display settings and unchecking "Sync to VBlank" worked for me to!

Thanks!
Comment 35 gbales2nd 2009-09-21 11:19:04 EDT
I removed the fix to correct for failed logins in /usr/bin/compiz.gtk

export LIBGL_ALWAYS_INDIRECT-1

This seems to have stopped the error messages.
Comment 36 Tim McConnell 2009-09-21 19:29:03 EDT
None of what has been suggested so far has stopped the drm flood on my machine. I use virtualization on mine could there be a conflict between the virtualization kernel 2.6.30.5-43.fc11.i586 and compiz? If I run compiz- check it shows: 
Distribution:          Fedora release 11 (Leonidas) 
 Desktop environment:   GNOME
 Graphics chip:         Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
 Driver in use:         intel
 Rendering method:      AIGLX

Checking if it's possible to run Compiz on your system...

 Checking for texture_from_pixmap...               [ OK ]
 Checking for non power of two support...          [ OK ]
 Checking for composite extension...               [ OK ]
 Checking for FBConfig...                          [ OK ]
 Checking for hardware/setup problems...           [ OK ]
xorg.log shows no errors:

X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 i686 
Current Operating System: Linux timmieland.private 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
Build Date: 09 September 2009  11:25:24AM
Build ID: xorg-x11-server 1.6.4-0.1.fc11 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Sep 21 14:03:44 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "single head configuration"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(**) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins,
	catalogue:/etc/X11/fontpath.d,
	built-ins
(**) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Mouse0
(WW) Disabling Keyboard0
(II) Loader magic: 0xa40
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 5.0
	X.Org XInput driver : 4.0
	X.Org Server Extension : 2.0
(II) Loader running on linux
(++) using VT number 1

(--) PCI:*(0:0:2:0) 8086:27ae:103c:30d5 Intel Corporation Mobile 945GME Express Integrated Graphics Controller rev 3, Mem @ 0xf0400000/524288, 0xe0000000/268435456, 0xf0480000/262144, I/O @ 0x00003000/8, BIOS @ 0x????????/131072
(II) No APM support in BIOS or kernel
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 2.7.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 5.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, IGD_GM, IGD_G, 965G, G35,
	965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
	Mobile Intel® GM45 Express Chipset,
	Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00@00:02:0
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[5] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[6] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[7] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[8] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
	[9] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[10] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(**) intel(0): Option "AccelMethod" "EXA"
(II) intel(0): Integrated Graphics Chipset: Intel(R) 945GME
(--) intel(0): Chipset: "945GME"
(WW) intel(0): kernel mode setting active,overridding accelmethod and using UXA
(II) intel(0): Resizable framebuffer: available (0 4)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) intel(0): Output VGA1 using monitor section Monitor0
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS1 using initial mode 1280x800
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.6.3.901, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[5] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[6] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[7] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[8] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
	[9] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[10] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(WW) intel(0): [DRI2] Version 1 API (broken front buffer rendering)
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Kernel mode setting active, disabling FBC.
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(==) intel(0): VideoRam: 4194303 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(EE) intel(0): max_gtt_map_size: 60456kb.
(II) intel(0): Tiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(EE) intel(0): max_gtt_map_size: 60456kb.
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0xffff4fff: DRI memory manager (4194260 kB)
(II) intel(0): 0x00000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x00000000:            start of memory manager
(II) intel(0): 0x01000000-0x017fffff: front buffer (8192 kB) X tiled
(II) intel(0): 0x00c00000-0x00c09fff: HW cursors (40 kB)
(II) intel(0): 0xffff5000:            end of memory manager
(EE) intel(0): max_gtt_map_size: 60456kb.
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: DRI2 Enabled
(WW) intel(0): Option "MigrationHeuristic" is not used
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i915_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 331 x 207
(II) config/hal: Adding input device AT Translated Set 2 keyboard
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 2.2.5
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 4.0
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event4"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "terminate:ctrl_alt_bksp"
(II) config/hal: Adding input device Macintosh mouse button emulation
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event3"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(**) Macintosh mouse button emulation: (accel) keeping acceleration scheme 1
(**) Macintosh mouse button emulation: (accel) filter chain progression: 2.00
(**) Macintosh mouse button emulation: (accel) filter stage 0: 20.00 ms
(**) Macintosh mouse button emulation: (accel) set acceleration profile 0
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/hal: Adding input device Microsoft Microsoft 3-Button Mouse with IntelliEye(TM)
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): always reports core events
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): Device: "/dev/input/event7"
(II) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): Found 3 mouse buttons
(II) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): Found x and y relative axes
(II) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): Found scroll wheel(s)
(II) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): Configuring as mouse
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): YAxisMapping: buttons 4 and 5
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Microsoft Microsoft 3-Button Mouse with IntelliEye(TM)" (type: MOUSE)
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): (accel) keeping acceleration scheme 1
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): (accel) filter chain progression: 2.00
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): (accel) filter stage 0: 20.00 ms
(**) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): (accel) set acceleration profile 0
(II) Microsoft Microsoft 3-Button Mouse with IntelliEye(TM): initialized for relative axes.
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.1.3
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 4.0
(II) Synaptics touchpad driver version 1.1.3
(**) Option "Device" "/dev/input/event5"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) filter chain progression: 2.00
(**) SynPS/2 Synaptics TouchPad: (accel) filter stage 0: 20.00 ms
(**) SynPS/2 Synaptics TouchPad: (accel) set acceleration profile 0
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/hal: Adding input device Sleep Button
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event1"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "evdev"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Video Bus
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event6"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "evdev"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Power Button
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event0"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "evdev"
(**) Option "xkb_layout" "us"
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1526  Serial#: 0
(II) intel(0): Year: 2006  Week: 9
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.604 redY: 0.340   greenX: 0.306 greenY: 0.521
(II) intel(0): blueX: 0.150 blueY: 0.119   whiteX: 0.314 whiteY: 0.321
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 71.0 MHz   Image Size:  331 x 207 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) intel(0):  N154I2-L02
(II) intel(0):  CMO
(II) intel(0):  N154I2-L02
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf261500000000
(II) intel(0): 	09100103802115780ac6a99a574e8526
(II) intel(0): 	1e505200000001010101010101010101
(II) intel(0): 	010101010101bc1b00a0502017303020
(II) intel(0): 	36004bcf10000018000000fe004e3135
(II) intel(0): 	3449322d4c30320a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353449322d4c30320a20200088
(II) intel(0): EDID vendor "CMO", prod id 5414
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.3 kHz)
I have even gone so far as to remove all compiz files and re-install and still can't get the drm errors to quit. 
from my yum.log file :
Sep 21 14:15:54 Erased: emerald-devel
Sep 21 14:15:55 Erased: ccsm
Sep 21 14:16:14 Erased: gnome-compiz-manager
Sep 21 14:16:17 Erased: compizconfig-python-debuginfo
Sep 21 14:16:17 Erased: compiz-bcop
Sep 21 14:16:17 Erased: fusion-icon-all
Sep 21 14:16:17 Erased: compiz-plugins-extra-devel
Sep 21 14:16:31 Erased: compiz-gnome
Sep 21 14:16:33 Erased: compiz-plugin-peek
Sep 21 14:16:34 Erased: compiz-plugins-unsupported
Sep 21 14:16:35 Erased: emerald-themes
Sep 21 14:16:40 Erased: libcompizconfig-devel
Sep 21 14:16:41 Erased: compizconfig-backend-gconf
Sep 21 14:16:42 Erased: compiz-plugins-main-devel
Sep 21 14:16:43 Erased: compiz
Sep 21 14:16:45 Erased: compizconfig-backend-kconfig
Sep 21 14:16:46 Erased: pdfcube
Sep 21 14:16:46 Erased: fusion-icon-qt
Sep 21 14:16:47 Erased: gnome-compiz-manager-debuginfo
Sep 21 14:16:49 Erased: fusion-icon
Sep 21 14:16:49 Erased: compizconfig-python
Sep 21 14:16:50 Erased: fusion-desktop-effects
Sep 21 14:16:50 Erased: compizconfig-backend-kconfig-debuginfo
Sep 21 14:16:50 Erased: compiz-kde
Sep 21 14:16:51 Erased: fusion-icon-gtk
Sep 21 14:16:51 Erased: compiz-devel
Sep 21 14:16:52 Erased: compiz-manager
Sep 21 14:16:52 Erased: libcompizconfig
Sep 21 14:16:53 Erased: compiz-plugins-main
Sep 21 14:16:54 Erased: compiz-plugin-screensaver
Sep 21 14:16:55 Erased: compiz-fusion-release
Sep 21 14:16:55 Erased: libcompizconfig-debuginfo
Sep 21 14:16:55 Erased: compiz-plugins-unsupported-debuginfo
Sep 21 14:16:56 Erased: compizconfig-backend-gconf-debuginfo
Sep 21 14:16:56 Erased: gnome-compiz-manager-devel
Sep 21 14:16:57 Erased: compiz-plugins-extra-debuginfo
Sep 21 14:16:59 Erased: compiz-plugins-main-debuginfo
Sep 21 14:17:00 Erased: emerald
Sep 21 14:17:06 Erased: compiz-plugins-unsupported-devel
Sep 21 14:17:06 Erased: compiz-plugins-extra
Sep 21 14:25:47 Installed: compiz-plugins-main-debuginfo.i586 0.8.3-2.fc11
Sep 21 14:25:50 Installed: compiz-plugins-extra-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:51 Installed: compiz-plugins-unsupported-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:51 Installed: libcompizconfig-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:51 Installed: compizconfig-backend-kconfig-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:52 Installed: compizconfig-backend-gconf-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:52 Installed: compiz-bcop.noarch 0.8.3-1.fc11
Sep 21 14:25:52 Installed: compizconfig-python-debuginfo.i586 0.8.3-1.fc11
Sep 21 14:25:53 Installed: compiz-debuginfo.i586 0.8.3-4.fc11
Sep 21 14:25:55 Installed: compiz.i586 0.8.3-4.fc11
Sep 21 14:25:56 Installed: libcompizconfig.i586 0.8.3-1.fc11
Sep 21 14:25:57 Installed: compiz-plugins-main.i586 0.8.3-2.fc11
Sep 21 14:25:58 Installed: compizconfig-python.i586 0.8.3-1.fc11
Sep 21 14:25:59 Installed: compiz-plugins-extra.i586 0.8.3-1.fc11
Sep 21 14:26:02 Installed: emerald.i586 0.8.3-1.fc11
Sep 21 14:26:02 Installed: compiz-devel.i586 0.8.3-4.fc11
Sep 21 14:26:02 Installed: compiz-manager.noarch 0.6.0-10.fc11
Sep 21 14:26:03 Installed: compiz-plugins-unsupported.i586 0.8.3-1.fc11
Sep 21 14:26:04 Installed: compiz-kde.i586 0.8.3-4.fc11
Sep 21 14:26:05 Installed: compizconfig-backend-gconf.i586 0.8.3-1.fc11
Sep 21 14:26:05 Installed: compizconfig-backend-kconfig.i586 0.8.3-1.fc11
Sep 21 14:26:06 Installed: libcompizconfig-devel.i586 0.8.3-1.fc11
Sep 21 14:26:08 Installed: ccsm.noarch 0.8.3-2.fc11
Sep 21 14:26:10 Installed: simple-ccsm.noarch 0.8.3-3.fc11
Sep 21 14:26:10 Installed: compizconfig-python-devel.i586 0.8.3-1.fc11
Sep 21 14:26:10 Installed: compiz-plugins-unsupported-devel.i586 0.8.3-1.fc11
Sep 21 14:26:11 Installed: emerald-devel.i586 0.8.3-1.fc11
Sep 21 14:26:11 Installed: compiz-plugins-main-devel.i586 0.8.3-2.fc11
Sep 21 14:26:11 Installed: compiz-plugins-extra-devel.i586 0.8.3-1.fc11
Sep 21 14:26:16 Installed: emerald-themes.noarch 0.8.3-1.fc11
Sep 21 14:26:26 Installed: compiz-gnome.i586 0.8.3-4.fc11
Sep 21 14:26:26 Installed: fusion-desktop-effects.noarch 0.0.1-4.fc11


In a file named Xorg.1.log I found this backtrace: 
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d37b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c096e]
2: [0x854400]
3: /usr/lib/dri/i915_dri.so(intelDestroyContext+0x104) [0x424388]
4: /usr/lib/dri/i915_dri.so [0x406476]
5: /usr/lib/xorg/modules/extensions//libglx.so [0xd5d009]
6: /usr/lib/xorg/modules/extensions//libglx.so(__glXFreeContext+0x91) [0xd51151]
7: /usr/lib/xorg/modules/extensions//libglx.so [0xd51577]
8: /usr/bin/Xorg(CallCallbacks+0x56) [0x808ae86]
9: /usr/bin/Xorg(CloseDownClient+0x67) [0x8080e97]
10: /usr/bin/Xorg(Dispatch+0x1d8) [0x8086538]
11: /usr/bin/Xorg(main+0x395) [0x806bb55]
12: /lib/libc.so.6(__libc_start_main+0xe6) [0x274a66]
13: /usr/bin/Xorg [0x806b001]

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.1.log" for additional information.
Comment 37 Tim McConnell 2009-09-22 14:33:40 EDT
Okay I got the DRM flood to stop. I had to completely remove compiz reboot and re-install compiz before the disable sync to vblank fix worked. Don't know why it didn't before but oh well. 
This did leave me with one question though... what good does it do to not have an number of attempts or something along those lines instead of repeatedly sending error messages when something fails? Shouldn't there be a warning to the user with the option to disable the service if it isn't working? I for one would rather see and error message from Compiz stating, something to the effect of: I cannot do operation X, blah, blah ,blah, then have my log files flooded by repeated attempts for nothing. It would be better to have a set number of attempts and quit trying to do something if it fails and warn the user that it didn't work and if it is critical or not, in my opinion anyway.
Comment 38 Walter Tuvell 2009-10-29 15:27:18 EDT
I've got a brand new laptop (Sony Vaio VGN-NW100), with a fresh installation of Fedora 11 on it, including all relevant updates (including the kernel) up-to-the-minute.  I have Desktop Effects enabled, and I'm seeing the "failed to acquire vblank counter" problem every time I boot up.  I can "(hack-)solve" the problem this way:

1. Boot machine, with Desktop Effects enabled.
2. tail -f /var/log/messages, to check whether the problem is occurring.  NOTE 1: The problem does usually occur, but not always.  NOTE 2: Sometimes this problem is accompanied by a CPU-eating kerneloops, but not always, so I believe that is an independent bug.
3. Recycle Desktop Effects.  That is, use the System --> Preferences --> Desktop Effects dialog to disable DE, then use that dialog to re-enable DE.
4. Look at the preceding tail -f, checking that the problem has disappeared.

This hack seems to work 100% of the time.  Here is what the final few seconds of the tail -f looks like for me:

Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:07 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:08 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:09 wethost kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22
Oct 29 14:47:10 wethost kernel: compiz[2393]: segfault at 301ee2ea80 ip 000000301ee2ea80 sp 00007fff8f629c68 error 14 in libuuid.so.1.2[301f200000+3000]
Oct 29 14:47:19 wethost kernel: i2c-adapter i2c-1: unable to read EDID block.
Oct 29 14:47:19 wethost kernel: i915 0000:00:02.0: LVDS-1: no EDID data
Comment 40 Simo Sorce 2009-11-08 00:06:19 EST
I see this as well, /var/log/messages is getting several GB big, it could well run into a DoS.
Is there a way to stop the kernel from priting this pointless message over and over again ?
Comment 41 Tim McConnell 2009-11-08 20:44:13 EST
(In reply to comment #40)
> I see this as well, /var/log/messages is getting several GB big, it could well
> run into a DoS.
> Is there a way to stop the kernel from priting this pointless message over and
> over again ?  

The way I was able to stop the DRM flood was to open the compiz manager and place a check in disable vsync to blank.
Comment 42 Walter Tuvell 2009-11-09 13:02:47 EST
Tim, thanks for your hint, but unfortunately it doesn't work for me.  I installed the Compiz Manager (gnome-compiz-manager-0.10.4-8.fc11), opened it (System -> Preferences -> CompizConfig Settings Manager), and located the setting (General Options -> Display Settings -> Sync to VBlank).  It was enabled.  I disabled it and rebooted, but continued getting the same exact problem as before (~20 msgs/sec in /var/log/messages).  Also as before, if I recycle Compiz (as noted in my comments in this Bugzilla for Oct 29), the problem goes away (just as it did before I installed Compiz Manager) -- so at least nothing additional got broken.

Here is also an additional tidbit, which might be useful to a developer tracking this bug.  I mentioned that I sometimes get a kerneloops eating the CPU in conjunction with the sync-to-vblank bug.  I had thought these two problems were independent.  But after some experimentation, I'm seeing that when I do get the kerneloops, and recycle Compiz, then the kernel oops goes away immediately.   So it's now seeming as if the two problems are related after all.

And, if I have Display Settings (Compiz) disabled when booting, neither the /var/log/messages problem nor the kerneloops ever occurs.  Not surprising, I know, but due diligence dictates that it be reported.
Comment 43 Tim McConnell 2009-11-09 14:15:16 EST
(In reply to comment #42)
> Tim, thanks for your hint, but unfortunately it doesn't work for me.  I
> installed the Compiz Manager (gnome-compiz-manager-0.10.4-8.fc11), opened it
> (System -> Preferences -> CompizConfig Settings Manager), and located the
> setting (General Options -> Display Settings -> Sync to VBlank).  It was
> enabled.  I disabled it and rebooted, but continued getting the same exact
> problem as before (~20 msgs/sec in /var/log/messages).  Also as before, if I
> recycle Compiz (as noted in my comments in this Bugzilla for Oct 29), the
> problem goes away (just as it did before I installed Compiz Manager) -- so at
> least nothing additional got broken.

Walter, 
Have you tried the repos for compiz in this url http://forums.fedoraforum.org/showthread.php?t=173317 to see if that solves it? They are unofficial packages and not supported through Fedora but using that compiz manager my suggestion works. 
And for what it's worth, I just looked at my settings and v-sync to blank is unchecked and I have also uninstalled kerneloops an replaced it with abrt-addon-kerneloops-0.0.4-3.fc11.i586.
Comment 44 Walter Tuvell 2009-11-10 09:06:04 EST
Tim, I tried your suggestion, but it doesn't work for me (for a different reason than sync-to-vblank).

I followed the instructions in http://forums.fedoraforum.org/showthread.php?t=173317, uninstalling the F11-repository Compiz first and installing the latest Compiz.  But enabling it doesn't display windows correctly: the borders (including the top border, with menus and buttons) are missing.  I'm attaching 2 screenshots to this Bugzilla, so you can see what I mean.

Maybe there's a way to tweak around this, but this is starting to seem more of a hobbiest pasttime than I can afford just now.  So I'll be reverting to the F11 Compiz, and continuing to live with the sync-to-vblank bug(s).  Sigh.

But, thanks anyway for the collaboration, Tim!
Comment 45 Walter Tuvell 2009-11-10 09:08:23 EST
Created attachment 368393 [details]
New Compiz doesn't display window borders.
Comment 46 Walter Tuvell 2009-11-10 09:09:25 EST
Created attachment 368394 [details]
Metacity displays window borders.
Comment 47 Tim McConnell 2009-11-10 14:33:17 EST
(In reply to comment #44)
 So I'll be reverting to the
> F11 Compiz, and continuing to live with the sync-to-vblank bug(s).  Sigh.
> 
> But, thanks anyway for the collaboration, Tim!  

Just a thought, if you have no compiz installed at all does the DRM error still show?
Comment 48 Walter Tuvell 2009-11-11 08:06:37 EST
Good thought, Tim.

At this point, I've removed the latest Compiz, but not yet re-installed the F11 Compiz, and I haven't seen the problem occur yet.  I'll delay installing the F11 Compiz (thereby foregoing Desktop Effects) for a few days, and see if the sync-to-vblank and/or kerneloops problems occur.  We expect they won't occur, of course.  If they do occur, I'll post a notice here.  Otherwise, I'll just remain silent.

Thanks for this idea!
Comment 49 Tim McConnell 2009-11-15 16:08:09 EST
(In reply to comment #48)
> Good thought, Tim.
> 
> At this point, I've removed the latest Compiz, but not yet re-installed the F11
> Compiz, and I haven't seen the problem occur yet.  I'll delay installing the
> F11 Compiz (thereby foregoing Desktop Effects) for a few days, and see if the
> sync-to-vblank and/or kerneloops problems occur.  We expect they won't occur,
> of course.  If they do occur, I'll post a notice here.  Otherwise, I'll just
> remain silent.
> 
> Thanks for this idea!  

Another thought, http://wiki.compiz-fusion.org/Troubleshooting, for the border issue. 

And if no DRM errors have occurred lately, do you have time to try re-installing the official Fedora compiz packages with the debuginfo packages and try launching through gdb? 
the commands to launch should be: 

compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering

or 

compiz --replace --indirect-rendering -sm-disable --ignore-desktop-hints ccp --loose-binding & emerald --replace &

So it would look something like this from a terminal:

gdb compiz --replace --indirect-rendering -sm-disable --ignore-desktop-hints ccp --loose-binding & emerald --replace & |tee /home/Walter/Desktop/compizgdbrun.txt (if GDB complains it needs more debugger packages copy and paste the degbuginfo-install information into a root terminal and get those also)

then type 'run' and attach to this bugreport? 
Maybe if a usable stack trace is captured they can fix this problem or move it to the correct part of bugzilla. From all the post here it seems like this is either a driver incompatibility or an issue with Desktop effects. Would be nice to have this fixed for sure before F12 comes out.
Comment 50 Bug Zapper 2010-04-27 09:33:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 James Ettle 2010-05-05 06:15:27 EDT
Since this bug hasn't seen any traffic for ~6 months (and it's solved for me in F12), I'll close it shortly if no-one objects.
Comment 52 Bug Zapper 2010-06-28 07:44:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.